System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter

This converter can only convert a object to and from a string.

For more information about type converters, see the base class and How to: Implement a Type Converter.

You should never create an instance of a . Instead, call the method of the class. For more information, see the examples in the base class.

Provides a type converter to convert objects to and from various other representations.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This converter can only convert a Boolean object to and from a string.

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this converter can convert an object in the given source type to a Boolean object using the specified context.

  true if this object can perform the conversion; otherwise, false.

  An that provides a format context. A that represents the type you wish to convert from.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  This converter can only convert a Boolean object to and from a string.

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Converts the given value object to a Boolean object.

  An that represents the converted .

  An that provides a format context. A that specifies the culture to which to convert. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  The Boolean data type has two standard values, true and false.

  Gets a collection of standard values for the Boolean data type.

  A that holds a standard set of valid values.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The Boolean data type has only two standard values, true and false. The returned from this method has all possible values. Therefore, this method always returns true.

  Gets a value indicating whether the list of standard values returned from the method is an exclusive list.

  true because the returned from is an exhaustive list of possible values. This method never returns false.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The Boolean data type supports standard values, because a Boolean can only be true or false. Therefore, this method always returns true.

  Gets a value indicating whether this object supports a standard set of values that can be picked from a list.

  true because can be called to find a common set of values the object supports. This method never returns false.

  An that provides a format context.